import java.io.*;

public class overwrite_progress_line{
    public static void main(String[] args){
	try {
	    
	    /*  Sets up a file reader to read the file passed on the command
		line one character at a time */
	    FileReader input = new FileReader(args[0]);
	    
	    /* Filter FileReader through a Buffered read to read a line at a
	       time */
	    BufferedReader bufRead = new BufferedReader(input);
	    
	    String line;    // String that holds current file line
	    String total;
	    
	    // Read first line
	    line = bufRead.readLine();
	    total = bufRead.readLine();
	    System.out.print("\r");
	    System.out.print(" Computation in progress for layer "+ line + " /" + total + " ");
	    //System.out.println(line);
	    
	    bufRead.close();
	    
	}catch (ArrayIndexOutOfBoundsException e){
	    /* If no file was passed on the command line, this expception is
	       generated. A message indicating how to the class should be
	       called is displayed */
	    System.out.println("Usage: java ReadFile filename\n");          
	    
	}catch (IOException e){
	    // If another exception is generated, print a stack trace
	    e.printStackTrace();
	}
	
    }// end main
}