c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine compare()
      implicit none
      include 'max.inc'
      include 'param.inc'
      include 'data.inc'
      include 'options.inc'
      include 'tab.inc'
      include 'files_out.inc'
      double precision tPNEsym(0:Nmax,0:Nmax),inc_tPNEsym(0:Nmax,0:Nmax)
      double precision PNEtheo(0:Nmax,0:Nmax),lim
      integer i,j,k,err
      parameter(lim=4.0D+0)

      open(10,file=file_pnesym)
      open(11,file='./results/PNEtheo.txt')
      do i=0,m+1
         do j=0,m+1
            read(10,*) tPNEsym(i,j),inc_tPNEsym(i,j)
            read(11,*) PNEtheo(i,j)
         enddo
      enddo
      close(10)
      close(11)
      
      err=0
      do i=0,m+1
         do j=0,m+1
            if (dabs(PNEtheo(i,j)-tPNEsym(i,j))
     &           .gt.lim*inc_tPNEsym(i,j)) then
c               write(*,*) 'PNEmc(',i,',',j,'):',tPNEsym(i,j),
c     &              ' +/-',inc_tPNEsym(i,j),' et PNEth(',i,',',j,'):',
c     &              PNEtheo(i,j)
               open(10,file='./results/errors.txt')
               do k=1,err
                  read(10,*)
               enddo
               write(10,*) i,j,tPNEsym(i,j),inc_tPNEsym(i,j),
     &              PNEtheo(i,j)
               close(10)
               err=err+1
            endif
         enddo
      enddo

      return
      end

