c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine countd(code,j,nd,l)
      implicit none
      include 'max.inc'
      include 'data.inc'
      include 'diff.inc'
      include 'files_out.inc'
      integer code,nd,i,j,n_max
      double precision l

      if (code.eq.-1) then ! -1 : initialisation
         if (raz.eq.1) then ! Si on reprend le calcul arrt
            open(11,file='temporary/diff.sav')
            read(11,*) (nd_min(i),i=1,m)
            read(11,*) (nd_max(i),i=1,m)
            read(11,*) (nd1(i),i=1,m)
            read(11,*) (nd2(i),i=1,m)
            read(11,*) (ld_min(i),i=1,m)
            read(11,*) (ld_max(i),i=1,m)
            close(11)
         else ! Si on commence un nouveau calcul
            do i=1,m
               nd_min(i)=DiffMax
               nd_max(i)=0
               nd1(i)=0.0D+0
               nd2(i)=0.0D+0
               ld_min(i)=1.0D+10*(e(i)-e(i-1))
               ld_max(i)=0.0D+0
            enddo
         endif
      else if (code.eq.0) then ! 0 : comptage
         if (nd_min(j).gt.nd) then
            nd_min(j)=nd
         endif
         if (nd_max(j).lt.nd) then
            nd_max(j)=nd
         endif
         nd1(j)=nd1(j)+nd
         nd2(j)=nd2(j)+nd**2
         if (ld_min(j).gt.l) then
            ld_min(j)=l
         endif
         if (ld_max(j).lt.l) then
            ld_max(j)=l
         endif
         ld1(j)=ld1(j)+l
         ld2(j)=ld2(j)+l**2
      else if (code.eq.1) then  ! 1 : postcalc
         do i=1,m
            call calc_nmax(i,n_max)
            call statis(n_max,nd1(i),nd2(i),nd_moy(i),var_nd_moy(i),
     &           inc_nd_moy(i))
            call statis(n_max,ld1(i),ld2(i),ld_moy(i),var_ld_moy(i),
     &           inc_ld_moy(i))
         enddo
         
         open(10,file=file_diff)
         write(10,*) 'Nbr min / nbr max / nbr moy de diff pm + inc'
         do i=1,m
            write(10,*) i,nd_min(i),nd_max(i),nd_moy(i),inc_nd_moy(i)
         enddo
         write(10,*) 'Lmin / Lmax / Lmoy des trajets par maille+inc'
         do i=1,m
            write(10,*) i,ld_min(i),ld_max(i),ld_moy(i),inc_ld_moy(i)
         enddo
         close(10)
      else if (code.eq.2) then  ! 2 : sauvegarde rgulire
         open(11,file='temporary/diff.sav')
         write(11,*) (nd_min(i),i=1,m)
         write(11,*) (nd_max(i),i=1,m)
         write(11,*) (nd1(i),i=1,m)
         write(11,*) (nd2(i),i=1,m)
         write(11,*) (ld_min(i),i=1,m)
         write(11,*) (ld_max(i),i=1,m)
         close(11)
      endif
      
 1234 continue
      return
      end
   
         

      
      
